- Main Page
- Classes
- Files

- Class List
- Class Members

# hello_t Class Reference

Class corresponding to the hello_t schema type. More...

`#include <hello.hxx>`

List of all members.

## greeting
Accessor and modifier functions for the greeting required element. The greeting element contains the greeting phrase for this hello object.
typedef ::xml_schema::string | greeting_type
| Element type.
typedef ::xsd::cxx::tree::traits< greeting_type, char > | greeting_traits
| Element traits type.
const greeting_type & | greeting () const
| Return a read-only (constant) reference to the element.
greeting_type & | greeting ()
| Return a read-write reference to the element.
void | greeting (const greeting_type &x)
| Set the element value.
void | greeting (::std::auto_ptr< greeting_type > p)
| Set the element value without copying.
## name
Accessor and modifier functions for the name sequence element. The name elements contains names to be greeted.
typedef ::xml_schema::string | name_type
| Element type.
typedef ::xsd::cxx::tree::sequence< name_type > | name_sequence
| Element sequence container type.
typedef name_sequence::iterator | name_iterator
| Element iterator type.
typedef name_sequence::const_iterator | name_const_iterator
| Element constant iterator type.
typedef ::xsd::cxx::tree::traits< name_type, char > | name_traits
| Element traits type.
const name_sequence & | name () const
| Return a read-only (constant) reference to the element sequence.
name_sequence & | name ()
| Return a read-write reference to the element sequence.
void | name (const name_sequence &s)
| Copy elements from a given sequence.
## Constructors
| hello_t (const greeting_type &)
| Construct an instance from the ultimate base and initializers for required elements and attributes.
| hello_t (const::xercesc::DOMElement &e,::xml_schema::flags f=0,::xml_schema::type *c=0)
| Construct an instance from a DOM element.
| hello_t (const hello_t &x,::xml_schema::flags f=0,::xml_schema::type *c=0)
| Copy constructor.
virtual hello_t * | _clone (::xml_schema::flags f=0,::xml_schema::type *c=0) const
| Copy the object polymorphically.
## Protected Member Functions
void | parse (::xsd::cxx::xml::dom::parser< char > &,::xml_schema::flags)

## Detailed Description

Class corresponding to the hello_t schema type.

The hello_t type consists of a greeting phrase and a collection of names to which this greeting applies.

## Constructor & Destructor Documentation

hello_t::hello_t | ( | const ::xercesc::DOMElement & | e,
|  | ::xml_schema::flags | f = `0`,
|  | ::xml_schema::type * | c = `0` |
| ) |  |  |

Construct an instance from a DOM element.

Parameters:

  | e | A DOM element to extract the data from.
  | f | Flags to construct the new instance with.
  | c | A pointer to the object that will contain the new instance.

hello_t::hello_t | ( | const hello_t & | x,
|  | ::xml_schema::flags | f = `0`,
|  | ::xml_schema::type * | c = `0` |
| ) |  |  |

Copy constructor.

Parameters:

  | x | An instance to make a copy of.
  | f | Flags to construct the copy with.
  | c | A pointer to the object that will contain the copy.

For polymorphic object models use the _clone function instead.

## Member Function Documentation

const hello_t::greeting_type & hello_t::greeting | ( |  | ) | const

Return a read-only (constant) reference to the element.

Returns:
  A constant reference to the element.

hello_t::greeting_type & hello_t::greeting | ( |  | ) |

Return a read-write reference to the element.

Returns:
  A reference to the element.

void hello_t::greeting | ( | const greeting_type & | x | ) |

Set the element value.

Parameters:

  | x | A new value to set.

This function makes a copy of its argument and sets it as the new value of the element.

void hello_t::greeting | ( | ::std::auto_ptr< greeting_type > | p | ) |

Set the element value without copying.

Parameters:

  | p | A new value to use.

This function will try to use the passed value directly instead of making a copy.

const hello_t::name_sequence & hello_t::name | ( |  | ) | const

Return a read-only (constant) reference to the element sequence.

Returns:
  A constant reference to the sequence container.

hello_t::name_sequence & hello_t::name | ( |  | ) |

Return a read-write reference to the element sequence.

Returns:
  A reference to the sequence container.

void hello_t::name | ( | const name_sequence & | s | ) |

Copy elements from a given sequence.

Parameters:

  | s | A sequence to copy elements from.

For each element in s this function makes a copy and adds it to the sequence. Note that this operation completely changes the sequence and all old elements will be lost.

hello_t * hello_t::_clone | ( | ::xml_schema::flags | f = `0`,
|  | ::xml_schema::type * | c = `0` |
| ) |  |  | const`[virtual]`

Copy the object polymorphically.

Parameters:

  | f | Flags to construct the copy with.
  | c | A pointer to the object that will contain the copy.

Returns:
  A pointer to the dynamically allocated copy.

This function ensures that the dynamic type of an instance is used for copying and should be used for polymorphic object models instead of the copy constructor.

The documentation for this class was generated from the following files:

- hello.hxx
- hello.cxx